package com.ruoyi.app.service;

import com.ruoyi.app.domain.Plc;

import java.util.List;

/**
 * plc管理Service接口
 *
 * @author tony.wu
 * @date 2023-12-07
 */
public interface IPlcService
{

    /**
     * 查询plc管理列表
     *
     * @param plc plc管理
     * @return plc管理集合
     */
    public List<Plc> selectPlcList();

    /**
     * 新增plc管理
     *
     * @param plc plc管理
     * @return 结果
     */
    public int insertPlc(Plc plc);

    /**
     * 修改plc管理
     *
     * @param plc plc管理
     * @return 结果
     */
    public int updatePlc(Plc plc);

    /**
     * 批量删除plc管理
     *
     * @param plcids 需要删除的plc管理主键集合
     * @return 结果
     */
    public int deletePlcByPlcids(Integer[] plcids);

    /**
     * 删除plc管理信息
     *
     * @param plcid plc管理主键
     * @return 结果
     */
    public int deletePlcByPlcid(Integer plcid);
}
